org.apache.fop.fonts.cff

## Class CFFDataReader.CFFSubTable

- java.lang.Object
- - org.apache.fop.fonts.cff.CFFDataReader.CFFSubTable

- Direct Known Subclasses:
    CFFDataReader.CFFIndexData, CFFDataReader.FontDict
  Enclosing class:
    CFFDataReader

      public class CFFDataReader.CFFSubTable
      extends Object

  Parent class which provides the ability to retrieve byte data from a sub-table.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFFSubTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getByteData()`
    `void` | `setByteData(int position, int length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CFFSubTable

          public CFFSubTable()

  - ### Method Detail

    - #### setByteData

          public void setByteData(int position,
                                  int length)

    - #### getByteData

          public byte[] getByteData()
                             throws IOException

      Throws:
        `IOException`

Copyright © 2023 Apache Software Foundation. All rights reserved.